Package org.eclipse.gef.cloudio.internal.ui.data

# Class TypeCollector

java.lang.Object
org.eclipse.gef.cloudio.internal.ui.data.TypeCollector

public class TypeCollector extends Object

## Constructor Summary

Constructors
Constructor
Description
`TypeCollector()`

## Method Summary

Modifier and Type
Method
Description
`static List<Type>`
`getData(File file, String encoding)`
`static void`
`setStopwords(String sourceFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeCollector

public TypeCollector()

## Method Details

### getData

public static List<Type> getData(File file, String encoding) throws IOException

Throws:
  `IOException`

### setStopwords

public static void setStopwords(String sourceFile)